//培训记录
/**
 * 培训记录查询对象类型
 */
export interface UserQuery extends PageQuery {
  theme?: string;
  unitName?: string;
}
/**
 * 培训记录返回对象
 */
export interface UserVO {
  textId: string;
  theme: string;
  unitName: string;
  address: string;
  startTime: string;
  endTime: string;
  peopleNum: string;
  Content: string;
  trainingWay: string;
}
/**
 * 培训记录表单类型
 */
export interface UserForm {
  textId?: string;
  theme: string;
  unitName?: string;
  address?: string;
  startTime?: string;
  endTime?: string;
  Content?: string;
  peopleNum?: string;
  trainingWay?: string;
}
export interface AddUserParams {
  theme: string;
  unitName: string;
  address: string;
  startTime: string;
  endTime: string;
  Content: string;
  peopleNum: string;
  trainingWay: string;
}
export interface UserInfoVO {
  user: UserVO;
}
//预案
/**预案查询对象类型**/

export interface PlanQuery extends PageQuery {
  planName?: string;
}
/**
 * 预案返回对象
 */
export interface PlanVO {
  planId: string;
  planName: string;
  planType: string;
  publish_date: string;
  organUnit: string;
  document: string;
}
/**
 * 预案表单类型
 */
export interface PlanForm {
  pageNum: number;
  pageSize: number;
  publish_date?: [string, string];
  planName: string;
  planType?: string;
}
export interface PlanInfoVO {
  plan: PlanVO;
}
// 定义预案列表接口响应的数据结构,total
export interface FetchPlanResponse {
  data: PlanVO[];
  total: number;
}
//演练
/**演练查询对象类型**/

export interface DrillQuery {
  planId?: string;
}
/**
 * 演练返回对象
 */
export interface DrillVO {
  drillId: string;
  drillName: string;
  drillUnit: string;
  year: string;
  drillTime: string;
  drillAddress: string;
  drillProject: string;
  drillVideo: string;
  drillPicture: string;
}
/**
 * 演练表单类型
 */
export interface DrillForm {
  pageNum: number;
  pageSize: number;
  planId?: number;
}
export interface DrillInfoVO {
  drill: DrillVO;
}
// 定义演练列表接口响应的数据结构,total
export interface FetchDrillResponse {
  data: DrillVO[];
  total: number;
}
//响应
/**响应查询对象类型**/

export interface ResponseQuery {
  responseId?: string;
}
/**
 * 响应返回对象
 */
export interface ResponseVO {
  responseId: string;
  eventName: string;
  eventType: string;
  responseUnit: string;
  eventAddress: string;
  responseLevel: string;
  responseStartTime: string;
  responseEndTime: string;
}
/**
 * 响应表单类型
 */
export interface responseForm {
  pageNum: number;
  pageSize: number;
  planId?: string;
}
